"use strict";
$(function() {
    $('[data-toggle="tooltip"]').tooltip()
})
$('.collapseSidebar').on('click', function(e) {
    if (!$('.vertical').hasClass('condensed')) {
        $('.vertical').toggleClass('collapsed');
        if ($('.vertical').hasClass('hover')) {
            $('.vertical').removeClass('hover');
        }
    } else {
        $('.vertical').toggleClass('open');
    }
    e.preventDefault();
});
$(".sidebar-left").hover(function() {
    if ($('.vertical').hasClass('collapsed')) {
        $('.vertical').addClass('hover');
    }
    if (!$('.condensed').hasClass('open')) {
        $('.vertical').addClass('hover');
    }
}, function() {
    if ($('.vertical').hasClass('collapsed')) {
        $('.vertical').removeClass('hover');
    }
    if (!$('.condensed').hasClass('open')) {
        $('.vertical').removeClass('hover');
    }
});
$('.toggle-sidebar').on('click', function() {
    $('.navbar-slide').toggleClass('show');
});
$('.toggle-secondary').on('click', function(e) {
    $('.vertical').toggleClass('toggled');
    e.preventDefault();
});

(function($) {
    $('.dropdown-menu a.dropdown-toggle').on('click', function(e) {
        if (!$(this).next().hasClass('show')) {
            $(this).parents('.dropdown-menu').first().find('.show').removeClass("show");
        }
        var $subMenu = $(this).next(".dropdown-menu");
        $subMenu.toggleClass('show');
        $(this).parents('li.nav-item.dropdown.show').on('hidden.bs.dropdown', function(e) {
            $('.dropdown-submenu .show').removeClass("show");
        });
        return false;
    });
})(jQuery)
$('.navbar .dropdown').on('hidden.bs.dropdown', function() {
    $(this).find('li.dropdown').removeClass('show open');
    $(this).find('ul.dropdown-menu').removeClass('show open');
});

$('#clearVisitor').on('click', function() {
    $('#clearVisitor').prop('disabled', true);
	$.post("ajax.php?route=clearvisitor", function( data ) {
		if(data){
			location.reload();
		}
	});
});

$('#clearBot').on('click', function() {
    $('#clearBot').prop('disabled', true);
	$.post("ajax.php?route=clearbot", function( data ) {
		if(data){
			location.reload();
		}
	});
});

$('#clearAllLogs').on('click', function() {
    $('#clearAllLogs').prop('disabled', true);
	$.post("ajax.php?route=clearall", function( data ) {
		if(data){
			location.reload();
		}
	});
});